ObjectNotFoundException (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.common.ObjectNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.common
Class ObjectNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.hyperic.util.NestedException
                  org.hyperic.hq.common.ApplicationException
                      org.hyperic.hq.common.ObjectNotFoundException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AgentNotFoundException, AlertNotFoundException, AppdefEntityNotFoundException, CPropKeyExistsException, CPropKeyNotFoundException, MeasurementNotFoundException, SubjectNotFoundException, TemplateNotFoundException

    public abstract class ObjectNotFoundException

extends ApplicationException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hyperic.util.NestedException
`_exception`

Constructor Summary
`ObjectNotFoundException()`
`ObjectNotFoundException(java.lang.Exception e)`
`ObjectNotFoundException(java.lang.String s)`
`ObjectNotFoundException(java.lang.String s, java.lang.Throwable t)`
`ObjectNotFoundException(java.lang.Throwable t)`

Method Summary

Methods inherited from class org.hyperic.util.NestedException
`addException, getExceptionOfType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectNotFoundException

    public ObjectNotFoundException()

### ObjectNotFoundException

    public ObjectNotFoundException(java.lang.String s)

### ObjectNotFoundException

    public ObjectNotFoundException(java.lang.Exception e)

### ObjectNotFoundException

    public ObjectNotFoundException(java.lang.Throwable t)

### ObjectNotFoundException

    public ObjectNotFoundException(java.lang.String s,
                                   java.lang.Throwable t)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.